Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Updating to 0.2.1

  • Loading branch information...
commit 69f3f45deaed47b54a79680b6d6057e821f9c03c 1 parent af92f47
@quirkey quirkey authored
View
7 History.txt
@@ -1,3 +1,10 @@
+== 0.2.1 2009-02-10
+
+ * Updated tests and templates for Sinatra 0.9
+ * Added support for test/bacon
+ * Fixed errors with latest rubigen where git commands were happening before file generation
+ * Updated rubigen dependency
+
== 0.2.0 2008-12-23
* 1 major enhancement
View
1  Manifest.txt
@@ -12,6 +12,7 @@ app_generators/sinatra_app/templates/config.ru.erb
app_generators/sinatra_app/templates/config.yml
app_generators/sinatra_app/templates/config/deploy.rb.erb
app_generators/sinatra_app/templates/lib/module.rb.erb
+app_generators/sinatra_app/templates/test/test_app_bacon.rb.erb
app_generators/sinatra_app/templates/test/test_app_rspec.rb.erb
app_generators/sinatra_app/templates/test/test_app_shoulda.rb.erb
app_generators/sinatra_app/templates/test/test_app_spec.rb.erb
View
2  Rakefile
@@ -9,7 +9,7 @@ $hoe = Hoe.new('sinatra-gen', SinatraGen::VERSION) do |p|
p.post_install_message = 'PostInstall.txt' # TODO remove if post-install message not required
p.rubyforge_name = 'quirkey'
p.extra_deps = [
- ['rubigen','>= 1.3.3'],
+ ['rubigen','>= 1.5.2'],
]
p.extra_dev_deps = [
['newgem', ">= #{::Newgem::VERSION}"]
View
2  lib/sinatra-gen.rb
@@ -2,5 +2,5 @@
$:.include?(File.dirname(__FILE__)) || $:.include?(File.expand_path(File.dirname(__FILE__)))
module SinatraGen
- VERSION = '0.2.0'
+ VERSION = '0.2.1'
end
View
22 sinatra-gen.gemspec
@@ -1,24 +1,22 @@
-# -*- encoding: utf-8 -*-
-
Gem::Specification.new do |s|
s.name = %q{sinatra-gen}
- s.version = "0.2.0"
+ s.version = "0.2.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Aaron Quint"]
- s.date = %q{2008-12-23}
+ s.date = %q{2009-02-10}
s.default_executable = %q{sinatra-gen}
s.description = %q{sinatra-gen generates a common file structure and basic app files for a web app utilizing the sinatra framework. For more information on sinatra, check out http://sinatra.rubyforge.org}
s.email = ["aaron@quirkey.com"]
s.executables = ["sinatra-gen"]
s.extra_rdoc_files = ["History.txt", "Manifest.txt", "PostInstall.txt", "README.rdoc"]
- s.files = ["History.txt", "Manifest.txt", "PostInstall.txt", "README.rdoc", "Rakefile", "app_generators/sinatra_app/USAGE", "app_generators/sinatra_app/sinatra_app_generator.rb", "app_generators/sinatra_app/templates/Capfile", "app_generators/sinatra_app/templates/Rakefile.erb", "app_generators/sinatra_app/templates/app.rb.erb", "app_generators/sinatra_app/templates/config.ru.erb", "app_generators/sinatra_app/templates/config.yml", "app_generators/sinatra_app/templates/config/deploy.rb.erb", "app_generators/sinatra_app/templates/lib/module.rb.erb", "app_generators/sinatra_app/templates/test/test_app_rspec.rb.erb", "app_generators/sinatra_app/templates/test/test_app_shoulda.rb.erb", "app_generators/sinatra_app/templates/test/test_app_spec.rb.erb", "app_generators/sinatra_app/templates/test/test_app_unit.rb.erb", "app_generators/sinatra_app/templates/test/test_helper.rb.erb", "app_generators/sinatra_app/templates/views/builder_index.erb", "app_generators/sinatra_app/templates/views/erb_index.erb", "app_generators/sinatra_app/templates/views/erb_layout.erb", "app_generators/sinatra_app/templates/views/haml_index.erb", "app_generators/sinatra_app/templates/views/haml_layout.erb", "bin/sinatra-gen", "lib/sinatra-gen.rb", "sinatra-gen.gemspec", "test/test_generator_helper.rb", "test/test_helper.rb", "test/test_sinatra_app_generator.rb"]
+ s.files = ["History.txt", "Manifest.txt", "PostInstall.txt", "README.rdoc", "Rakefile", "app_generators/sinatra_app/USAGE", "app_generators/sinatra_app/sinatra_app_generator.rb", "app_generators/sinatra_app/templates/Capfile", "app_generators/sinatra_app/templates/Rakefile.erb", "app_generators/sinatra_app/templates/app.rb.erb", "app_generators/sinatra_app/templates/config.ru.erb", "app_generators/sinatra_app/templates/config.yml", "app_generators/sinatra_app/templates/config/deploy.rb.erb", "app_generators/sinatra_app/templates/lib/module.rb.erb", "app_generators/sinatra_app/templates/test/test_app_bacon.rb.erb", "app_generators/sinatra_app/templates/test/test_app_rspec.rb.erb", "app_generators/sinatra_app/templates/test/test_app_shoulda.rb.erb", "app_generators/sinatra_app/templates/test/test_app_spec.rb.erb", "app_generators/sinatra_app/templates/test/test_app_unit.rb.erb", "app_generators/sinatra_app/templates/test/test_helper.rb.erb", "app_generators/sinatra_app/templates/views/builder_index.erb", "app_generators/sinatra_app/templates/views/erb_index.erb", "app_generators/sinatra_app/templates/views/erb_layout.erb", "app_generators/sinatra_app/templates/views/haml_index.erb", "app_generators/sinatra_app/templates/views/haml_layout.erb", "bin/sinatra-gen", "lib/sinatra-gen.rb", "sinatra-gen.gemspec", "test/test_generator_helper.rb", "test/test_helper.rb", "test/test_sinatra_app_generator.rb"]
s.has_rdoc = true
s.homepage = %q{http://github.com/quirkey/sinatra-gen}
s.post_install_message = %q{PostInstall.txt}
s.rdoc_options = ["--main", "README.rdoc"]
s.require_paths = ["lib"]
- s.rubyforge_project = %q{sinatra-gen}
+ s.rubyforge_project = %q{quirkey}
s.rubygems_version = %q{1.3.1}
s.summary = %q{sinatra-gen generates a common file structure and basic app files for a web app utilizing the sinatra framework}
s.test_files = ["test/test_generator_helper.rb", "test/test_helper.rb", "test/test_sinatra_app_generator.rb"]
@@ -28,17 +26,17 @@ Gem::Specification.new do |s|
s.specification_version = 2
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<rubigen>, [">= 1.3.3"])
- s.add_development_dependency(%q<newgem>, [">= 1.2.1"])
+ s.add_runtime_dependency(%q<rubigen>, [">= 1.5.2"])
+ s.add_development_dependency(%q<newgem>, [">= 1.2.3"])
s.add_development_dependency(%q<hoe>, [">= 1.8.0"])
else
- s.add_dependency(%q<rubigen>, [">= 1.3.3"])
- s.add_dependency(%q<newgem>, [">= 1.2.1"])
+ s.add_dependency(%q<rubigen>, [">= 1.5.2"])
+ s.add_dependency(%q<newgem>, [">= 1.2.3"])
s.add_dependency(%q<hoe>, [">= 1.8.0"])
end
else
- s.add_dependency(%q<rubigen>, [">= 1.3.3"])
- s.add_dependency(%q<newgem>, [">= 1.2.1"])
+ s.add_dependency(%q<rubigen>, [">= 1.5.2"])
+ s.add_dependency(%q<newgem>, [">= 1.2.3"])
s.add_dependency(%q<hoe>, [">= 1.8.0"])
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.